- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LineInfo Struct Reference

## Public Member Functions
| LineInfo (librevenge::RVNGPropertyListVector vertices, Line current, std::vector< Color > palette)
void | output (librevenge::RVNGDrawingInterface *painter, librevenge::RVNGPropertyList &graphicsProps)

## Public Attributes
librevenge::RVNGPropertyListVector | m_vertices
double | m_width
librevenge::RVNGString | m_color
bool | m_lineExists

## Constructor & Destructor Documentation

LineInfo::LineInfo | ( | librevenge::RVNGPropertyListVector | vertices,
|  | Line | current,
|  | std::vector< Color > | palette
| ) |  |
| inline

## Member Function Documentation

void LineInfo::output | ( | librevenge::RVNGDrawingInterface * | painter,
|  | librevenge::RVNGPropertyList & | graphicsProps
| ) |  |
| inline

Referenced by drawEmulatedLine().

## Member Data Documentation

librevenge::RVNGString LineInfo::m_color

bool LineInfo::m_lineExists

librevenge::RVNGPropertyListVector LineInfo::m_vertices

double LineInfo::m_width

The documentation for this struct was generated from the following file:

- PolygonUtils.cpp